Bug 1843196 - [Backport][OSP13] VNX: delete the LUN from VNX backend
Summary: [Backport][OSP13] VNX: delete the LUN from VNX backend
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z13
: 13.0 (Queens)
Assignee: Pablo Caruana
QA Contact: Tzach Shefi
Chuck Copello
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-02 19:10 UTC by Rajini Karthik
Modified: 2020-10-28 18:22 UTC (History)
15 users (show)

Fixed In Version: openstack-cinder-12.0.10-18.el7ost
Doc Type: Bug Fix
Doc Text:
Before this update, the internal temporary snapshot, created during async migration when creating a volume from a snapshot, was not being deleted from the VNX storage. For example, if we create a new volume, V2, from snapshot S1, which we created from volume V1, an internal temporary snapshot, S2, is created from copying S1. V1 now has two snapshots, S1 and S2. Although we delete V1, V2 and S1 from OpenStack Block Storage (cinder), S2 is not deleted. This causes both V1 and S2 to remain on the VNX storage. With this update, the temporary snapshot, S2, is deleted, and V1 can be successfully deleted.
Clone Of:
Environment:
Last Closed: 2020-10-28 18:22:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1794646 0 None None None 2020-06-04 13:40:12 UTC
OpenStack gerrit 744591 0 None MERGED VNX: delete the LUN from VNX backend 2020-11-02 09:32:25 UTC
Red Hat Product Errata RHSA-2020:4391 0 None None None 2020-10-28 18:22:46 UTC

Description Rajini Karthik 2020-06-02 19:10:03 UTC
Description of problem:
Backport https://review.opendev.org/#/c/727602/ to Queens RHOSP13
VNX: delete the LUN from VNX backend

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Luigi Toscano 2020-08-06 09:16:15 UTC
A stable/queens backport has been proposed upstream.

Comment 18 errata-xmlrpc 2020-10-28 18:22:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: openstack-cinder security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4391


Note You need to log in before you can comment on or make changes to this bug.